API ReferenceapiliveGET /v1/live/sessions

GET /v1/live/sessions

Service: live · operationId: (none)

List live sessions

Required scopes

(no scope declared — review service config)

Query parameters

  • brand_id (string) —
  • host_user_id (string) —
  • community_id (string) —
  • status (string) —
  • upcoming_only (string) —
  • upcoming (string) —
  • cursor (string) —
  • limit (integer) —
  • month (string) —
  • kind (string) —
  • category (string) —
  • host_id (string) —

Responses

200 Live sessions

{
  "type": "object",
  "properties": {
    "sessions": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid"
          },
          "host_id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "title": {
            "type": "string"
          },
          "kind": {
            "type": "string",
            "enum": [
              "live",
              "office_hours"
            ]
          },
          "category": {
            "type": [
              "string",
              "null"
            ]
          },
          "scheduled_at": {
            "type": "string",
            "format": "date-time"
          },
          "started_at": {
            "type": [
              "string",
              "null"
            ],
            "format": "date-time"
          },
          "ended_at": {
            "type": [
              "string",
              "null"
            ],
            "format": "date-time"
          },
          "status": {
            "type": "string",
            "enum": [
              "scheduled",
              "live",
              "ended",
              "cancelled"
            ]
          },
          "stream_call_id": {
            "type": [
              "string",
              "null"
            ]
          },
          "max_participants": {
            "type": "integer"
          },
          "duration_minutes": {
            "type": [
              "integer",
              "null"
            ]
          },
          "recording_url": {
            "type": [
              "string",
              "null"
            ]
          },
          "metadata": {
            "type": "object",
            "additionalProperties": {}
          },
          "created_at": {
            "type": "string",
            "format": "date-time"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time"
          },
          "registered_count": {
            "type": "integer"
          },
          "is_registered": {
            "type": "boolean"
          }
        },
        "required": [
          "id",
          "host_id",
          "brand_id",
          "title",
          "kind",
          "category",
          "scheduled_at",
          "started_at",
          "ended_at",
          "status",
          "stream_call_id",
          "max_participants",
          "duration_minutes",
          "recording_url",
          "metadata",
          "created_at",
          "updated_at",
          "registered_count",
          "is_registered"
        ]
      }
    }
  },
  "required": [
    "sessions"
  ]
}

Example

curl -X GET https://live.platform.loop.health/v1/live/sessions \
  -H "Authorization: Bearer $ACCESS_TOKEN"